java.awt

## Class MouseInfo

- java.lang.Object
- - java.awt.MouseInfo

-     public class MouseInfo
      extends Object

  `MouseInfo` provides methods for getting information about the mouse, such as mouse pointer location and the number of mouse buttons.
  Since:
    1.5

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getNumberOfButtons()` Returns the number of buttons on the mouse.
    `static PointerInfo` | `getPointerInfo()` Returns a `PointerInfo` instance that represents the current location of the mouse pointer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPointerInfo

          public static PointerInfo getPointerInfo()
                                            throws HeadlessException

      Returns a `PointerInfo` instance that represents the current location of the mouse pointer. The `GraphicsDevice` stored in this `PointerInfo` contains the mouse pointer. The coordinate system used for the mouse position depends on whether or not the `GraphicsDevice` is part of a virtual screen device. For virtual screen devices, the coordinates are given in the virtual coordinate system, otherwise they are returned in the coordinate system of the `GraphicsDevice`. See `GraphicsConfiguration` for more information about the virtual screen devices. On systems without a mouse, returns `null`.

      If there is a security manager, its `checkPermission` method is called with an `AWTPermission("watchMousePointer")` permission before creating and returning a `PointerInfo` object. This may result in a `SecurityException`.

      Returns:
        location of the mouse pointer
      Throws:
        `HeadlessException` - if GraphicsEnvironment.isHeadless() returns true
        `SecurityException` - if a security manager exists and its `checkPermission` method doesn't allow the operation
      Since:
        1.5
      See Also:
        `GraphicsConfiguration`, `SecurityManager.checkPermission(java.security.Permission)`, `AWTPermission`

    - #### getNumberOfButtons

          public static int getNumberOfButtons()
                                        throws HeadlessException

      Returns the number of buttons on the mouse. On systems without a mouse, returns `-1`.
      Returns:
        number of buttons on the mouse
      Throws:
        `HeadlessException` - if GraphicsEnvironment.isHeadless() returns true
      Since:
        1.5

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.